%define upstream_name    Twiggy
%define upstream_version 0.1025

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Adapter for Twiggy
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(AnyEvent)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(HTTP::Status)
BuildRequires: perl(Plack) >= 0.990.0
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Requires)
BuildRequires: perl(Test::TCP)
BuildRequires: perl(Try::Tiny)
BuildArch:  noarch

%{?perl_default_filter}

%description
Twiggy is a lightweight and fast HTTP server with unique features such as:

* PSGI

  Can run any PSGI applications. Fully supports _psgi.nonblocking_ and
  _psgi.streaming_ interfaces.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make


%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml eg/
%{_mandir}/man3/*
%{perl_vendorlib}/*
/usr/bin/twiggy
/usr/share/man/man1/twiggy.1.bz2


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.102.500-6pclos2017
- rebuild against updates

